org.baraza.xml

## Class BTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - org.baraza.xml.BTreeNode

- All Implemented Interfaces:
    Serializable, Cloneable, MutableTreeNode, TreeNode

      public class BTreeNode
      extends DefaultMutableTreeNode

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BTreeNode(BElement key, String name)`
    `BTreeNode(String name)`
    `BTreeNode(String sKey, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BElement` | `getKey()`
    `String` | `getString()`
    `void` | `setKey(BElement key)`
    `void` | `setKey(String sKey)`

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BTreeNode

          public BTreeNode(String name)

    - #### BTreeNode

          public BTreeNode(String sKey,
                   String name)

    - #### BTreeNode

          public BTreeNode(BElement key,
                   String name)

  - ### Method Detail

    - #### getKey

          public BElement getKey()

    - #### getString

          public String getString()

    - #### setKey

          public void setKey(BElement key)

    - #### setKey

          public void setKey(String sKey)

Copyright © 2016 openBaraza. All Rights Reserved.